commit:     a51b90f0a49d6de02cdecf021b33332534b5ea69
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 12 06:47:21 2020 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed Aug 12 06:47:30 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a51b90f0

net-firewall/ipt_netflow: Version 2.5.1

Package-Manager: Portage-3.0.2, Repoman-2.3.23
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 net-firewall/ipt_netflow/Manifest                 |   1 +
 net-firewall/ipt_netflow/ipt_netflow-2.5.1.ebuild | 104 ++++++++++++++++++++++
 2 files changed, 105 insertions(+)

diff --git a/net-firewall/ipt_netflow/Manifest 
b/net-firewall/ipt_netflow/Manifest
index 79bf94164a9..12f9308d049 100644
--- a/net-firewall/ipt_netflow/Manifest
+++ b/net-firewall/ipt_netflow/Manifest
@@ -1,2 +1,3 @@
 DIST ipt_netflow-2.4.tar.gz 92580 BLAKE2B 
0197e7e5cdd9c94c7b80b38cb4e2879343139592421922bf73aeaac70ac3af54ea25934bb1474ff455a9f58eab2368995591542f46be48b5c8491a3b6a192f56
 SHA512 
3c80d02cfda996fbde8d258875df8795000fd8390b5a6f8296771a992067e153eca48f7f4602421529948beaf3030e164adfc2ffe5b528042fbdc15ffb56aa74
+DIST ipt_netflow-2.5.1.tar.gz 94627 BLAKE2B 
440daed1f0c02e4700c6d4a97da08abc7bf51c73cd824a67fd2b7b9394b47d493ca7acfea34467d93cdce6dded2c5b24b4a2600b9f717aa54561d1f88a123dbc
 SHA512 
dd0bde358f788f2d62ace6a0b1529128f0a686f9b776deeae3502d45d06d13971e8ea249d2647d00b00e73625c515bc12a4b7bd8d34fafd5f3b32f290d48cdce
 DIST ipt_netflow-2.5.tar.gz 94097 BLAKE2B 
5ca8d686e08f6fb0cdb1d502572afc71f146e2633ccf5fc7cb9ad21420fb62e88a2cb393e83ee4f5646200fa964d46a16ef58831958799449a4a59e2da6c9337
 SHA512 
8cd1bc46ef6e975964e5ddc290ed999f7076b63a9363f1a1f31b5d8db875d4e564ed5f0d5185c29dcf8a86793fe4badf63325b79ba1abbc264088b1ca94a9dad

diff --git a/net-firewall/ipt_netflow/ipt_netflow-2.5.1.ebuild 
b/net-firewall/ipt_netflow/ipt_netflow-2.5.1.ebuild
new file mode 100644
index 00000000000..2c7d537f291
--- /dev/null
+++ b/net-firewall/ipt_netflow/ipt_netflow-2.5.1.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit linux-info linux-mod toolchain-funcs
+
+DESCRIPTION="Netflow iptables module"
+HOMEPAGE="
+       https://sourceforge.net/projects/ipt-netflow
+       https://github.com/aabc/ipt-netflow
+"
+SRC_URI="https://github.com/aabc/ipt-netflow/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="debug natevents snmp"
+
+RDEPEND="
+       net-firewall/iptables:0=
+       snmp? ( net-analyzer/net-snmp )
+"
+DEPEND="${RDEPEND}
+       virtual/linux-sources
+       virtual/pkgconfig
+"
+PATCHES=(
+       "${FILESDIR}/${PN}-2.0-configure.patch" # bug #455984
+       "${FILESDIR}/${PN}-2.5-gentoo.patch"
+)
+
+pkg_setup() {
+       linux-info_pkg_setup
+
+       local CONFIG_CHECK="BRIDGE_NETFILTER ~IP_NF_IPTABLES VLAN_8021Q"
+       use debug && CONFIG_CHECK+=" ~DEBUG_FS"
+       if use natevents; then
+               CONFIG_CHECK+=" NF_CONNTRACK_EVENTS"
+               if kernel_is lt 5 2; then
+                       CONFIG_CHECK+=" NF_NAT_NEEDED"
+               else
+                       CONFIG_CHECK+=" NF_NAT"
+               fi
+       fi
+
+       BUILD_TARGETS="all"
+       MODULE_NAMES="ipt_NETFLOW(ipt_netflow:${S})"
+       IPT_LIB="/usr/$(get_libdir)/xtables"
+
+       linux-mod_pkg_setup
+}
+
+src_unpack() {
+       default
+
+       mv "${WORKDIR}"/${PN/_/-}-* "${WORKDIR}"/${P} || die
+}
+
+src_prepare() {
+       default
+
+       # Checking for directory is enough
+       sed -i -e 's:-s /etc/snmp/snmpd.conf:-d /etc/snmp:' configure || die
+}
+
+do_conf() {
+       tc-export CC
+       echo ./configure $*
+       ./configure $* ${EXTRA_ECONF} || die 'configure failed'
+}
+
+src_configure() {
+       local IPT_VERSION="$($(tc-getPKG_CONFIG) --modversion xtables)"
+       # this configure script is not based on autotools
+       # ipt-src need to be defined, see bug #455984
+       do_conf \
+               --disable-dkms \
+               --enable-aggregation \
+               --enable-direction \
+               --enable-macaddress \
+               --enable-vlan \
+               --ipt-lib="${IPT_LIB}" \
+               --ipt-src="/usr/" \
+               --ipt-ver="${IPT_VERSION}" \
+               --kdir="${KV_DIR}" \
+               --kver="${KV_FULL}" \
+               $(use debug && echo '--enable-debugfs') \
+               $(use natevents && echo '--enable-natevents') \
+               $(use snmp && echo '--enable-snmp-rules' || echo 
'--disable-snmp-agent')
+}
+
+src_compile() {
+       emake ARCH="$(tc-arch-kernel)" CC="$(tc-getCC)" all
+}
+
+src_install() {
+       linux-mod_src_install
+       exeinto "${IPT_LIB}"
+       doexe libipt_NETFLOW.so
+       use snmp && emake DESTDIR="${D}" 
SNMPTGSO="/usr/$(get_libdir)/snmp/dlmod/snmp_NETFLOW.so" sinstall
+       doheader ipt_NETFLOW.h
+       dodoc README*
+}

Reply via email to